//Importing the react, useState, useEffect from the react module
import React, { useState, useEffect } from 'react';
//Importing the json from d3 and import the feature, mesh from the topojson
import { json } from 'd3';
import { feature, mesh } from 'topojson';
//Including the json URl
const jsonUrl = 'https://unpkg.com/us-atlas@3.0.0/states-10m.json';
//Assign the use data with topology features and states include use this as data to retrieve the map
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { states } = topology.objects;
      setData({
        land: feature(topology, states),
        interiors: mesh(topology, states, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};
